<?php namespace Tps\Pageview\Updates;

use Schema;
use October\Rain\Database\Updates\Migration;

class BuilderTableCreateTpsPageviewVisit extends Migration
{
    public function up()
    {
        Schema::create('tps_pageview_visit', function($table)
        {
            $table->engine = 'InnoDB';
            $table->increments('id')->unsigned();
            $table->timestamp('created_at')->nullable();
            $table->timestamp('updated_at')->nullable();
            $table->timestamp('deleted_at')->nullable();
            $table->bigInteger('view')->default(0);
            $table->date('date');
            $table->string('page')->nullable();
        });
    }
    
    public function down()
    {
        Schema::dropIfExists('tps_pageview_visit');
    }
}
